# Backport macros for older Mageia releases
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}
%{!?python2_sitearch: %global python2_sitearch %{python_sitearch}}
%{!?py2_build: %global py2_build CFLAGS="%{optflags}" %{__python2} setup.py build}
%{!?py2_install: %global py2_install %{__python2} setup.py install --skip-build --root %{buildroot}}
%{!?py3_build: %global py3_build CFLAGS="%{optflags}" %{__python3} setup.py build}
%{!?py3_install: %global py3_install %{__python3} setup.py install --skip-build --root %{buildroot}}

Name:       python-multilib
Version:    1.2
Release:    %mkrel 11
Summary:    A module for determining if a package is multilib or not
Group:      Development/Python
License:    GPLv2
URL:        https://pagure.io/releng/%{name}
Source0:    https://releases.pagure.org/releng/%{name}/%{name}-%{version}.tar.bz2

BuildArch:  noarch

%global _description \
A Python module that supports several multilib "methods" useful for determining \
if a 32-bit package should be included with its 64-bit analogue in a compose.

%description %{_description}

%package -n python3-multilib
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
Requires:       %{name}-conf = %{version}-%{release}

%description -n python3-multilib %{_description}

%package conf
Summary:       Config files for %{name}
Group:         System/Packaging

%description conf
This package provides the configuration files for %{name}.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
mkdir -p %{buildroot}/%{_sysconfdir}
mv %{buildroot}%{python3_sitelib}%{_sysconfdir}/multilib.conf %{buildroot}%{_sysconfdir}/multilib.conf
%pyproject_save_files multilib

%check
# testing requires complete composes available locally, which no buildsystem
# would ever want included in a build root
#pytest

%files conf
%config(noreplace) %{_sysconfdir}/multilib.conf

%files -n python3-multilib -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Fri Dec 27 2024 papoteur <papoteur> 1.2-11.mga10
+ Revision: 2130419
- add and use pytest

* Sat Feb 17 2024 papoteur <papoteur> 1.2-10.mga10
+ Revision: 2042144
- rebuild for python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.2-9.mga9
+ Revision: 1824976
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.2-8.mga9
+ Revision: 1782961
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.2-7.mga9
+ Revision: 1732346
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.2-6.mga8
+ Revision: 1535601
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.2-5.mga8
+ Revision: 1452563
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.2-4.mga7
+ Revision: 1353405
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2-3.mga7
+ Revision: 1289211
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2-2.mga7
+ Revision: 1135508
- Rebuild for python 3.6

* Tue May 09 2017 ngompa <ngompa> 1.2-1.mga6
+ Revision: 1099855
- Update to 1.2

* Sun May 08 2016 ngompa <ngompa> 1.1-4.mga6
+ Revision: 1010987
- Move config files into own subpackage

* Sun May 08 2016 ngompa <ngompa> 1.1-3.mga6
+ Revision: 1010980
- imported package python-multilib


* Sun May 08 2016 Neal Gompa <ngompa13@gmail.com> - 1.1-3
- Port to Mageia
- Add patch for Python 3 support

* Thu Apr 07 2016 Dennis Gilmore <dennis@ausil.us> - 1.1-2
- setup to make python3 down the road.
- spec and srpm named python-multilib
- fix license

* Tue Jul 21 2009 Jay Greguske <jgregusk@redhat.com> - 1.1-1
- consider dependencies in multilib testing
- fix a couple import errors

* Tue Jul 21 2009 Jay Greguske <jgregusk@redhat.com> - 1.0-1
- Initial RPM release
